Bug 174582 - Please update to 3.1.0
Please update to 3.1.0
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: FutureFeature
: 175577 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-11-30 08:14 EST by Neal Becker
Modified: 2008-05-09 13:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-16 05:39:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2005-11-30 08:14:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
Release 3.1.0 (25 November 2005) 
 3.1.0 is a feature release with a number of significant improvements: 
 AMD64 support is much improved, PPC32 support is good enough to be 
 usable, and the handling of memory management and address space is 
 much more robust.  In detail: 
 - AMD64 support is much improved.  The 64-bit vs. 32-bit issues in 
   3.0.X have been resolved, and it should "just work" now in all 
   cases.  On AMD64 machines both 64-bit and 32-bit versions of 
   Valgrind are built.  The right version will be invoked 
   automatically, even when using --trace-children and mixing execution 
   between 64-bit and 32-bit executables.  Also, many more instructions 
   are supported. 
 - PPC32 support is now good enough to be usable.  It should work with 
   all tools, but please let us know if you have problems.  Three 
   classes of CPUs are supported: integer only (no FP, no Altivec), 
   which covers embedded PPC uses, integer and FP but no Altivec 
   (G3-ish), and CPUs capable of Altivec too (G4, G5). 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Jakub Jelinek 2005-12-12 18:37:56 EST
*** Bug 175577 has been marked as a duplicate of this bug. ***
Comment 2 Jakub Jelinek 2006-01-16 05:39:24 EST
valgrind-3.1.0-1 together with valgrind-callgrind-0.10.1-1 should show up in
tomorrow's rawhide.

Note You need to log in before you can comment on or make changes to this bug.